import 'dart:async';
import 'dart:io';
import 'dart:typed_data';

import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

import 'package:image_crop/image_crop.dart';

void main() {
  final imageBytes = Uint8List.fromList(File('test_resources/sample_100x100.jpg').readAsBytesSync());

  testWidgets('Verify handles moved to crop the image', (WidgetTester tester) async {
    final cropWidget = Crop(
      image: MemoryImage(imageBytes),
    );

    await tester.pumpWidget(Container(
      child: cropWidget,
    ));

    await tester.idle();

    // wait until image is loaded, area is not null
    final crop = tester.state<CropState>(find.byWidget(cropWidget));
    while (crop.area == null) {
      await Future.delayed(const Duration(microseconds: 10));
    }

    final size = tester.getSize(find.byWidget(cropWidget));
    debugPrint('$size');

    final gesture = await tester.startGesture(Offset(10.0, 10.0));
    // gesture.

    await gesture.up();
  });
}
